Bug 1388453 - [libsearpc] test failure [NEEDINFO]
Summary: [libsearpc] test failure
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libsearpc
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-25 11:55 UTC by Dan Horák
Modified: 2018-05-29 11:36 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:36:09 UTC
jujens: needinfo? (dan)


Attachments (Terms of Use)

Description Dan Horák 2016-10-25 11:55:52 UTC
Description of problem:

The test-suite in 3.1-latest fails with on big endian arches, there is no such problem in 3.0. 

===========================================
   libsearpc 3.0.7: tests/test-suite.log
===========================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test-searpc
=================

Loaded 1 suites: 
Started
........
(process:6432): Searpc-WARNING **: failed to read rpc request: Bad address

(process:6432): Searpc-WARNING **: failed to read rpc response: Connection reset by peer
F
(process:6432): Searpc-WARNING **: failed to read rpc request: Bad address

(process:6432): Searpc-WARNING **: failed to send rpc call: Broken pipe
F
(process:6432): Searpc-WARNING **: failed to read rpc request: Bad address

(process:6432): Searpc-WARNING **: failed to read rpc response: Connection reset by peer
F

  1) Failure:
searpc::pipe_simple_call [searpc.c:427]
  Expression is not true: error == NULL
  Transport Error

  2) Failure:
searpc::pipe_large_request [searpc.c:454]
  Expression is not true: error == NULL
  Transport Error

  3) Failure:
searpc::pipe_concurrent_clients [searpc.c:483]
  Expression is not true: error == NULL
  Transport Error

System error: `fork()` call failed (12) - Cannot allocate memory
FAIL test-searpc (exit status: 255)




Version-Release number of selected component (if applicable):
libsearpc-3.1-1.fc26

Additional info:
The 3.1-latest tag is assigned to the add-transport branch, not to master.

Comment 1 Dan Horák 2016-10-25 12:51:10 UTC
failed builds in koji
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3836889
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2383353

Due the "broken/unbuildable" state of various commits in the add-transport branch, it's difficult to do a precise bisecting.

I've got to

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
0cac14f39f952f1493774d9cdf1468cf2111ce50
ae0cebc0ebc8c1bfe330872d38d68e111a2ab1c1
1b6b5b8d9f84259fb5392af855f24f489f67bbf1
b76607f784012535e38bee73ace4f0594bcfc04d
307d466eb118aa295c9d35c6537c15e1b66a557e
We cannot bisect more!

Comment 2 Dan Horák 2016-10-25 12:51:42 UTC
git bisect start
# bad: [4846183ac382870438e2d7a8fa525adc0d680239] Fix compile for Mingw64.
git bisect bad 4846183ac382870438e2d7a8fa525adc0d680239
# good: [13f49676cc5444d3a9e9397310f7d322fb7d887f] Merge pull request #23 from haiwen/update-version
git bisect good 13f49676cc5444d3a9e9397310f7d322fb7d887f
# bad: [323b21ef7ff2b9f0cff4d23d6e9b937b0849ec0c] Fix the tests on travis ci.
git bisect bad 323b21ef7ff2b9f0cff4d23d6e9b937b0849ec0c
# skip: [b76607f784012535e38bee73ace4f0594bcfc04d] Replace tabs with spaces.
git bisect skip b76607f784012535e38bee73ace4f0594bcfc04d
# bad: [7bc0bfbe27973036a66896da1ba834390b4e4b46] pipe transport: updated struct definition.
git bisect bad 7bc0bfbe27973036a66896da1ba834390b4e4b46
# skip: [0cac14f39f952f1493774d9cdf1468cf2111ce50] named pipe transport: Added pipe client and pipe server.
git bisect skip 0cac14f39f952f1493774d9cdf1468cf2111ce50
# good: [b9234ae5dc7df07e137508005def41cf94f6641a] added files for debian packaging (#26)
git bisect good b9234ae5dc7df07e137508005def41cf94f6641a
# skip: [ae0cebc0ebc8c1bfe330872d38d68e111a2ab1c1] named pipe transport: Support multipe searpc services.
git bisect skip ae0cebc0ebc8c1bfe330872d38d68e111a2ab1c1
# bad: [307d466eb118aa295c9d35c6537c15e1b66a557e] named pipe transport: compile on linux.
git bisect bad 307d466eb118aa295c9d35c6537c15e1b66a557e
# skip: [1b6b5b8d9f84259fb5392af855f24f489f67bbf1] named pipe transport: Added tests.
git bisect skip 1b6b5b8d9f84259fb5392af855f24f489f67bbf1
# only skipped commits left to test
# possible first bad commit: [307d466eb118aa295c9d35c6537c15e1b66a557e] named pipe transport: compile on linux.
# possible first bad commit: [b76607f784012535e38bee73ace4f0594bcfc04d] Replace tabs with spaces.
# possible first bad commit: [ae0cebc0ebc8c1bfe330872d38d68e111a2ab1c1] named pipe transport: Support multipe searpc services.
# possible first bad commit: [0cac14f39f952f1493774d9cdf1468cf2111ce50] named pipe transport: Added pipe client and pipe server.
# possible first bad commit: [1b6b5b8d9f84259fb5392af855f24f489f67bbf1] named pipe transport: Added tests.

Comment 4 Julien Enselme 2016-10-26 18:13:07 UTC
Thanks for the report. I must confess I am a little lost:

- It seems that my previous builds have disappeared. I did manage to build libsearpc on rawhide and f25 just after I did the update. Do you have some infos on this?
- How can I reproduce this issue? Build on koji with a sidetag? Reproducible on any build?
- How can I help? Continue git bissect? Report upstream?

Until I understand this better, I won't push libsearpc to stable on f25.

Comment 5 Fedora Update System 2016-11-08 14:57:22 UTC
libsearpc-3.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb054bc083

Comment 6 Fedora Update System 2016-11-09 02:27:28 UTC
libsearpc-3.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb054bc083

Comment 7 Rafael Fonseca 2016-11-09 15:25:21 UTC
What I've gathered so far is:

on named_pipe_client_handler:224, len == 279172874240 (0x4100000000)

size_t bufsize = 4096;

bufsize starts with the above value, it's doubled and 'buf' is realloc'ed while bufsize < len.

By the end of the loop we have:

(gdb) p bufsize
$14 = 549755813888 (0x8000000000)
(gdb) p buf
$16 = 0x0

Since buf is NULL, the next read fails

239	        if (pipe_read_n(connfd, buf, len) < 0 || len == 0) {

(gdb) n
240	            g_warning("failed to read rpc request: %s", strerror(errno));
(gdb) 

(process:13699): Searpc-WARNING **: failed to read rpc request: Bad address
241	            g_free (buf);


Now I'll try to understand why that's happening.

Comment 8 Fedora Update System 2016-11-19 21:14:29 UTC
libsearpc-3.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora End Of Life 2017-02-28 10:30:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 10 Fedora End Of Life 2018-05-03 08:23:36 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:36:09 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.